gnutls_certificate_set_x509_crl_file(3)

NAME
gnutls_certificate_set_x509_crl_file - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_certificate_set_x509_crl_file(gnutls_certificate_credentials_t res, const char * crlfile, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_certificate_credentials_t res
    is a gnutls_certificate_credentials_t structure.

const char * crlfile
    is a file containing the list of verified CRLs (DER or PEM list)

gnutls_x509_crt_fmt_t type
    is PEM or DER

DESCRIPTION
This function adds the trusted CRLs in order to verify client or server certificates. In case of a client this is not required to be called if the certificates are not verified using gnutls_certificate_verify_peers2(). This function may be called multiple times.

RETURNS
number of CRLs processed or a negative error code on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/